Package org.silverpeas.components.kmelia.model

# Class TopicDetail

java.lang.Object
org.silverpeas.components.kmelia.model.TopicDetail

All Implemented Interfaces:
  `Serializable`

public class TopicDetail extends Object implements Serializable
This object contains elements which are displayed in a kmelia Topic

Version:
  1.0
Author:
  Nicolas Eysseric
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopicDetail()`
  Construct an empty TopicDetail
  `TopicDetail(Collection<org.silverpeas.core.node.model.NodeDetail> path, org.silverpeas.core.node.model.NodeDetail nodeDetail, Collection<KmeliaPublication> kmeliaPublication)`
  Create a new TopicDetail

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<KmeliaPublication>`
  `getKmeliaPublications()`
  Get a PublicationDetail collection containing all the publications in this topic
  `org.silverpeas.core.node.model.NodeDetail`
  `getNodeDetail()`
  Get the detail of this topic
  `org.silverpeas.core.node.model.NodePK`
  `getNodePK()`
  Get the Topic nodePK
  `Collection<org.silverpeas.core.node.model.NodeDetail>`
  `getPath()`
  Get the path
  `List<KmeliaPublication>`
  `getValidPublications()`
  `List<KmeliaPublication>`
  `getValidPublications(org.silverpeas.core.contribution.publication.model.PublicationPK pubPKToExclude)`
  `void`
  `setNodeDetail(org.silverpeas.core.node.model.NodeDetail nd)`
  Set the detail of this topic
  `void`
  `setPath(Collection<org.silverpeas.core.node.model.NodeDetail> path)`
  Set the path
  `void`
  `setPublicationDetails(Collection<KmeliaPublication> pd)`
  Set the publication details of each publication containing in this topic

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TopicDetail

    public TopicDetail()
    Construct an empty TopicDetail
    Since:
      1.0

  - ### TopicDetail

    public TopicDetail(Collection<org.silverpeas.core.node.model.NodeDetail> path, org.silverpeas.core.node.model.NodeDetail nodeDetail, Collection<KmeliaPublication> kmeliaPublication)
    Create a new TopicDetail
    Since:
      1.0

- ## Method Details

  - ### getPath

    public Collection<org.silverpeas.core.node.model.NodeDetail> getPath()
    Get the path
    Returns:
      the path
    Since:
      1.0

  - ### getNodePK

    public org.silverpeas.core.node.model.NodePK getNodePK()
    Get the Topic nodePK
    Returns:
      the Topic nodePK
    Since:
      1.0
    See Also:
      - `NodePK`

  - ### getNodeDetail

    public org.silverpeas.core.node.model.NodeDetail getNodeDetail()
    Get the detail of this topic
    Returns:
      the detail of this topic
    Since:
      1.0
    See Also:
      - `NodeDetail`

  - ### getKmeliaPublications

    public Collection<KmeliaPublication> getKmeliaPublications()
    Get a PublicationDetail collection containing all the publications in this topic
    Returns:
      a PublicationDetail collection containing all the publications in this topic
    Since:
      1.0
    See Also:
      - `PublicationDetail`
      - `Collection`

  - ### setPath

    public void setPath(Collection<org.silverpeas.core.node.model.NodeDetail> path)
    Set the path
    Parameters:
      `path` - a NodeDetail Collection
    Since:
      1.0

  - ### setNodeDetail

    public void setNodeDetail(org.silverpeas.core.node.model.NodeDetail nd)
    Set the detail of this topic
    Parameters:
      `nd` - the topic NodeDetail
    Since:
      1.0

  - ### setPublicationDetails

    public void setPublicationDetails(Collection<KmeliaPublication> pd)
    Set the publication details of each publication containing in this topic
    Parameters:
      `pd` - a PublicationDetail Collection
    Since:
      1.0

  - ### getValidPublications

    public List<KmeliaPublication> getValidPublications()

  - ### getValidPublications

    public List<KmeliaPublication> getValidPublications(org.silverpeas.core.contribution.publication.model.PublicationPK pubPKToExclude)